{
    "replace": true,
    "slots": [ "sword/blade" ],
    "type": "tetra:basic_major_module",
    "improvements": [
        "tetra:sword/shared_blade/",
        "tetra:sword/shared/",
        "tetra:shared/"
    ],
    "variants": [
        {
            "materials": [ "tetra:energy_crystal/" ],
            "key": "lightsaber/",
            "attributes": {
                "generic.attack_speed": -1.78,
                "generic.attack_damage": 2.58
            },
            "tags":[
                "forge:swords"
            ],
            "effects": {
                "crushing":5,
                "lightsaber_sweep":1,
                "lightsaber_sound":1
            },
            "aspects": {
                "edgedWeapon": 2,
                "breakable": 2
            },
            "durabilty": -20,
            "extract": {
                "primaryAttributes": {
                    "generic.attack_damage": 0.35
                },
                "secondaryAttributes": {
                    "generic.attack_damage": 0.45,
                    "generic.attack_speed": -0.18
                },
                "durability": 0.8,
                "integrity": -1,
                "magicCapacity": 1,
                "glyph": {
                    "textureLocation": "tetra:textures/gui/aof_glyph.png",
                    "textureX": 192
                },
                "availableTextures": [ "energy_crystal"],
                "models": [
                    {
                        
                        "location": "tetra:item/module/sword/blade/lightsaber/",
                        "transform":
                        {
                            "translation":[-0.22,-0.22,0.05],
                            "scale":[1.6,1.6,0.9],
                            "rotation":[0,0,0]
                        },
                        "emission":13
                    }
                ]
            }
        }
    ]
}